> For the complete documentation index, see [llms.txt](https://docs.magpiexyz.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.magpiexyz.io/reference/glossary.md).

# Glossary

## **MGP**

Magpie's governance and user engagement rewards token. Users can lock MGP to participate in governance and earn rewards for their active participation.

## **vlMGP**

Vote-Locked MGP. Locked version of MGP. vlMGP holders control the voting power that Magpie owns on Wombat. Users can lock their MGP to receive vlMGP at 1:1 ratio. vlMGP holders can earn rewards for their active participation from the platform and also have governance rights. Vote-Locked MGP holders can participate in the governance of Wombat and Magpie.

## SubDAO

Name used to describe every protocol created within the Magpie Ecosystem. Each SubDAO is exclusively focused on providing services to a specific platform. Magpie is set to own a percentage (15%-20%) of each SubDAO's governance token supply, benefiting directly from long-term development and growth.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.magpiexyz.io/reference/glossary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
